EnglishNorskePolski   Mobile Version : on

Dear user!

If you don't see a panorama presentation here you don't have the latest flash plug installed. The latest flash plug installation is recommended for correct operation of panorama presentation.

To download and install the latest flash plug Click here

You can also start panorama presentation in older version. It is not recommended though and some difficulties are likely to appear when using this application.

Start in older version